astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- I/O Registry (`astropy.io.registry`) »
- register_writer

# register_writer

`astropy.io.registry.``register_writer`(data_format, data_class, function, force=False)

  Register a table writer function.

  Parameters:

  data_format : str

  > The data type identifier. This is the string that will be used to specify the data type when writing.

  data_class : classobj

  > The class of the object that can be written

  function : function

  > The function to write out a data object.

  force : bool

  > Whether to override any existing function if already present.